mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Flags

For additional information about the LIBFLAGS enumeration, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Defines flags that apply to type libraries.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.LIBFLAGS

  The type library describes controls and should not be displayed in type browsers intended for nonvisual objects.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.LIBFLAGS

  The type library exists in a persisted form on disk.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.LIBFLAGS

  The type library should not be displayed to users, although its use is not restricted. The type library should be used by controls. Hosts should create a new type library that wraps the control with extended properties.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.LIBFLAGS

  The type library is restricted, and should not be displayed to users.